Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153256 - mailman and list search (htdig) integration
Summary: mailman and list search (htdig) integration
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mailman
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 05:22 UTC by Karl Latiss
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:05:30 UTC


Attachments (Terms of Use)
diff to mailman.spec to include indexing and htdig patches (deleted)
2005-04-04 05:24 UTC, Karl Latiss
no flags Details | Diff
Unified output format diff of current mailman.spec and htdig enabled mailman.spec (deleted)
2006-09-01 15:07 UTC, John Airey
no flags Details | Diff

Description Karl Latiss 2005-04-04 05:22:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.4.4) Gecko/20050318 MultiZilla/1.7.0.2d

Description of problem:
RHEL 3 comes with mailman however private lists are not searchable (Public ones can use external engines like Google). To make private (and public) lists searchable htdig can be used (also included in RHEL 3) along with the following 2 patches applied to the SRC RPM:

http://sourceforge.net/tracker/download.php?group_id=103&atid=300103&file_id=96177&aid=444879
http://sourceforge.net/tracker/download.php?group_id=103&atid=300103&file_id=96178&aid=444884

Note that the supplied diff uses the above patches renamed to the standards used by the mailman SRPM of mailman-2.1.5-indexing.patch and mailman-2.1.5-htdig.patch respectively.

Version-Release number of selected component (if applicable):
mailman-2.1.5-25.rhel3

How reproducible:
Always

Steps to Reproduce:
1.install mailman
2.post messages to list
3.try to search lists

  

Actual Results:  no search facility

Expected Results:  after applying the patches and re-compiling the SRPM the lists's archives are searchable

Additional info:

Comment 1 Karl Latiss 2005-04-04 05:24:37 UTC
Created attachment 112640 [details]
diff to mailman.spec to include indexing and htdig patches

requires indexing and htdig patches

Comment 2 Karl Latiss 2005-04-04 05:27:55 UTC
Forgot to mention: htdig configuration not addressed in above patch

Comment 3 Suzanne Hillman 2005-04-04 19:58:37 UTC
Internal RFE bug #153663 entered; will be considered for future releases.

Comment 4 John Airey 2006-09-01 14:39:52 UTC
Have you run "rundig" on the server after installing htdig? That's what stopped
it working for me. Also, I've discovered that you have to put this in root's crontab

19 2 * * * /usr/bin/python -S /var/mailman/cron/nightly_htdig

For some reason it didn't work from /etc/cron.d/mailman, so i've commented out
there.

I will check what you've posted here to see if it matches the htdig.spec file
that I've created.

Comment 5 John Airey 2006-09-01 14:40:40 UTC
Sorry, I meant the mailman.spec file...

Comment 6 John Airey 2006-09-01 14:45:51 UTC
I remember something else that stopped it working. I needed a symlink from
/var/www/html/htdig to /usr/share/htdig. After that was in place the searching
worked fine. 

Are you getting the htdig databases created?

Comment 7 John Airey 2006-09-01 15:07:43 UTC
Created attachment 135383 [details]
Unified output format diff of current mailman.spec and htdig enabled mailman.spec

Comment 8 John Airey 2006-09-01 15:17:33 UTC
Comment on attachment 135383 [details]
Unified output format diff of current mailman.spec and htdig enabled mailman.spec

Make sure to have the necessary extra files in the source directory -

mailman-htdig-2.1.5-0.1.patch
mailman-indexing-2.1.5-0.1.patch

These are the htdig-2.1.5-0.1.patch.gz and	 indexing-2.1.5-0.1.patch.gz
files that are on sourceforge (at the time of writing)

Comment 10 RHEL Product and Program Management 2007-10-19 19:05:30 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.